# OpalParamAnswerCall Struct Reference

`#include <opal.h>`

Collaboration diagram for OpalParamAnswerCall:

[legend]

## Data Fields

const char * | m_callToken
| Call token for call to be answered.
OpalParamProtocol | m_overrides
unsigned | m_withMedia

## Detailed Description

Incoming call response parameters for OpalCmdAlerting and OpalCmdAnswerCall messages.

When a new call is detected via the OpalIndIncomingCall indication, the application should respond with OpalCmdClearCall, which does not use this structure, or OpalCmdAnswerCall, which does. An optional OpalCmdAlerting may also be sent which also uses this structure to allow for the override of default call parameters such as suer name or display name on a call by call basis.

## Field Documentation

const char* OpalParamAnswerCall::m_callToken

Call token for call to be answered.

OpalParamProtocol OpalParamAnswerCall::m_overrides

Overrides for the default parameters for the protocol. For example, m_userName and m_displayName can be changed on a call by call basis.

unsigned OpalParamAnswerCall::m_withMedia

When used with OpalCmdAlerting, if non-zero this indicates that early media is to be started.

The documentation for this struct was generated from the following file:

- opal.h